/**********************************************************************************************************
 * Copyright 2012, Distributed Systems Research Laboratory, Technical University of Cluj-Napoca, Romania 
 * http://dsrl.coned.utcluj.ro/
 *  
 * Licensed under the EUPL V.1.1 
 * 
 * European Union Public Licence V. 1.1  
 * You may obtain a copy of this license at
 * 
 * http://joinup.ec.europa.eu/software/page/eupl/licence-eupl
 *  
 **********************************************************************************************************/
package ro.utcn.dsrl.actionPlanningModule.utils.actionExecutionSimulation;

import ro.utcn.dsrl.contextAccessingAndProcessingAPI.contextModel.api.EACMInstance;
import ro.utcn.dsrl.contextAccessingAndProcessingAPI.contextModel.concepts.ContextAction;

/**
 * Created by IntelliJ IDEA.
 * User: oneadmin
 * Date: 11/8/11
 * Time: 1:54 PM
 * To change this template use File | Settings | File Templates.
 */
public interface IActionSimulationUtil {

    public void simulateActionExecution(EACMInstance eacmInstance,ContextAction contextAction);

    public void undoActionSimulatedExecution(EACMInstance eacmInstance,ContextAction contextAction);

}
