/**********************************************************************************************************
 * Copyright 2012, Distributed Systems Research Laboratory, Technical University of Cluj-Napoca, Romania 
 * http://dsrl.coned.utcluj.ro/
 *  
 * Licensed under the EUPL V.1.1 
 * 
 * European Union Public Licence V. 1.1  
 * You may obtain a copy of this license at
 * 
 * http://joinup.ec.europa.eu/software/page/eupl/licence-eupl
 *  
 **********************************************************************************************************/
package ro.utcn.dsrl.contextAccessingAndProcessingAPI.contextModel.concepts.impl;

import edu.stanford.smi.protege.model.FrameID;
import edu.stanford.smi.protegex.owl.model.OWLModel;
import ro.utcn.dsrl.contextAccessingAndProcessingAPI.contextModel.concepts.ITComputingResourceAdaptationAction;


/**
 * <br/>
 * <br/>
 * <p><strong>GAMES Project - Global Control Loop</strong></p>
 * <p><strong>@Author: Technical University of Cluj-Napoca</strong></p>
 * <br/>
 * <a href=http://dsrl.coned.utcluj.ro/ > Distributed Systems research Laboratory </a>
 * <br/>Coordinator: Prof. dr. ing. Ioan Salomie E-mail: Ioan.Salomie@cs.utcluj.ro
 * <br/>
 * <br/>Developers:
 * <br/>Daniel Moldovan(Daniel.Moldovan@cs.utcluj.ro)
 * <br/>Georgiana Copil(Georgiana.Copil@cs.utcluj.ro)
 */

public abstract class DefaultITComputingResourceAdaptationAction extends DefaultContextAction
        implements ITComputingResourceAdaptationAction {

    public DefaultITComputingResourceAdaptationAction(OWLModel owlModel, FrameID id) {
        super(owlModel, id);
    }


    public DefaultITComputingResourceAdaptationAction() {
    }

    /*
  // Property http://www.semanticweb.org/ontologies/2010/6/ContextModel.owl#resourceFrom

  public List<ServiceCenterITComputingResource> getResourcesFrom() {
      return new ArrayList<ServiceCenterITComputingResource>(getPropertyValuesAs(getResourceFromProperty(), ServiceCenterITComputingResource.class));
  }


  public RDFProperty getResourceFromProperty() {
      final String uri = "http://www.semanticweb.org/ontologies/2010/6/ContextModel.owl#resourceFrom";
      final String name = getOWLModel().getResourceNameForURI(uri);
      return getOWLModel().getRDFProperty(name);
  }


  public boolean hasResourceFrom() {
      return getPropertyValueCount(getResourceFromProperty()) > 0;
  }


  public Iterator listResourceFrom() {
      return listPropertyValuesAs(getResourceFromProperty(), ServiceCenterITComputingResource.class);
  }


  public void addResourceFrom(ServiceCenterITComputingResource newResourceFrom) {
      addPropertyValue(getResourceFromProperty(), newResourceFrom);
  }


  public void removeResourceFrom(ServiceCenterITComputingResource oldResourceFrom) {
      removePropertyValue(getResourceFromProperty(), oldResourceFrom);
  }


  public void setResourcesFrom(List<ServiceCenterITComputingResource> newResourceFrom) {
      setPropertyValues(getResourceFromProperty(), newResourceFrom);
  }



  // Property http://www.semanticweb.org/ontologies/2010/6/ContextModel.owl#resourceOn

  public List<ServiceCenterITComputingResource> getResourceOn() {
      return new ArrayList<ServiceCenterITComputingResource>(getPropertyValuesAs(getResourceOnProperty(), ServiceCenterITComputingResource.class));
  }


  public RDFProperty getResourceOnProperty() {
      final String uri = "http://www.semanticweb.org/ontologies/2010/6/ContextModel.owl#resourceOn";
      final String name = getOWLModel().getResourceNameForURI(uri);
      return getOWLModel().getRDFProperty(name);
  }


  public boolean hasResourceOn() {
      return getPropertyValueCount(getResourceOnProperty()) > 0;
  }


  public Iterator listResourceOn() {
      return listPropertyValuesAs(getResourceOnProperty(), ServiceCenterITComputingResource.class);
  }


  public void addResourceOn(ServiceCenterITComputingResource newResourceOn) {
      addPropertyValue(getResourceOnProperty(), newResourceOn);
  }


  public void removeResourceOn(ServiceCenterITComputingResource oldResourceOn) {
      removePropertyValue(getResourceOnProperty(), oldResourceOn);
  }


  public void setResourceOn(List<ServiceCenterITComputingResource> newResourceOn) {
      setPropertyValues(getResourceOnProperty(), newResourceOn);
  }



  // Property http://www.semanticweb.org/ontologies/2010/6/ContextModel.owl#resourceTo

  public List<ServiceCenterITComputingResource> getResourcesTo() {
      return new ArrayList<ServiceCenterITComputingResource>(getPropertyValuesAs(getResourceToProperty(), ServiceCenterITComputingResource.class));
  }


  public RDFProperty getResourceToProperty() {
      final String uri = "http://www.semanticweb.org/ontologies/2010/6/ContextModel.owl#resourceTo";
      final String name = getOWLModel().getResourceNameForURI(uri);
      return getOWLModel().getRDFProperty(name);
  }


  public boolean hasResourcesTo() {
      return getPropertyValueCount(getResourceToProperty()) > 0;
  }


  public Iterator listResourcesTo() {
      return listPropertyValuesAs(getResourceToProperty(), ServiceCenterITComputingResource.class);
  }


  public void addResourcesTo(ServiceCenterITComputingResource newResourceTo) {
      addPropertyValue(getResourceToProperty(), newResourceTo);
  }


  public void removeResourcesTo(ServiceCenterITComputingResource oldResourceTo) {
      removePropertyValue(getResourceToProperty(), oldResourceTo);
  }


  public void setResourcesTo(List<ServiceCenterITComputingResource> newResourceTo) {
      setPropertyValues(getResourceToProperty(), newResourceTo);
  }  */


}
