/**********************************************************************************************************
 * Copyright 2012, Distributed Systems Research Laboratory, Technical University of Cluj-Napoca, Romania 
 * http://dsrl.coned.utcluj.ro/
 *  
 * Licensed under the EUPL V.1.1 
 * 
 * European Union Public Licence V. 1.1  
 * You may obtain a copy of this license at
 * 
 * http://joinup.ec.europa.eu/software/page/eupl/licence-eupl
 *  
 **********************************************************************************************************/
package ro.utcn.dsrl.utils.agentsCommunication;

import jade.domain.introspection.RemovedBehaviour;

public enum AgentMessageType {

    ACTIVITIES_ADDED,
    ACTIVITIES_REMOVED,
    SERVERS_ADDED,
    SERVERS_REMOVED,
    POLICIES_ADDED,
    POLICIES_REMOVED,
    UPDATE_CONTEXT_INFORMATION,
    UPDATE_EACM_CONCEPTS,
    START_CONTEXT_ANALYSIS,
    START_ACTION_PLAN_GENERATION,
    START_ACTION_PLAN_EXECUTION,
    TERMINATE_EXECUTION,
    EXECUTION_TERMINATED,
    ACTION_PLAN_EXECUTION_COMPLETED;
}
