/**********************************************************************************************************
 * Copyright 2012, Distributed Systems Research Laboratory, Technical University of Cluj-Napoca, Romania 
 * http://dsrl.coned.utcluj.ro/
 *  
 * Licensed under the EUPL V.1.1 
 * 
 * European Union Public Licence V. 1.1  
 * You may obtain a copy of this license at
 * 
 * http://joinup.ec.europa.eu/software/page/eupl/licence-eupl
 *  
 **********************************************************************************************************/
package ro.utcn.dsrl.utils.misc;

import java.util.Calendar;
import java.util.Date;
import java.util.GregorianCalendar;

/**
 * Created by IntelliJ IDEA.
 * User: oneadmin
 * Date: 10/31/11
 * Time: 5:08 PM
 * To change this template use File | Settings | File Templates.
 */
public class ISO8601DateRetriever {
    private ISO8601DateRetriever() {
    }

    public static String getCurrentTime() {
        Calendar c = GregorianCalendar.getInstance();
        c.setTime(new Date());
        return javax.xml.bind.DatatypeConverter.printDateTime(c);
    }
}
