/**********************************************************************************************************
 * Copyright 2012, Distributed Systems Research Laboratory, Technical University of Cluj-Napoca, Romania 
 * http://dsrl.coned.utcluj.ro/
 *  
 * Licensed under the EUPL V.1.1 
 * 
 * European Union Public Licence V. 1.1  
 * You may obtain a copy of this license at
 * 
 * http://joinup.ec.europa.eu/software/page/eupl/licence-eupl
 *  
 **********************************************************************************************************/
/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

import ro.utcn.dsrl.contextAccessingAndProcessingAPI.contextAccessAndProcessing.ContextAccessAndProcessingAPI;
import ro.utcn.dsrl.contextAccessingAndProcessingAPI.contextAccessAndProcessing.impl.ContextAccessAndProcessing;
import ro.utcn.dsrl.contextAccessingAndProcessingAPI.contextModel.api.EACMInstance;
import ro.utcn.dsrl.contextAccessingAndProcessingAPI.contextModel.concepts.ContextElement;
import ro.utcn.dsrl.contextAccessingAndProcessingAPI.util.exceptions.ContextModelAccessException;

import java.util.logging.Level;
import java.util.logging.Logger;

/**
 * @author oneadmin
 */
public class Test2 {

    public static void main(String[] args) {
        try {
            ContextAccessAndProcessingAPI api = null;
            try {
                api = new ContextAccessAndProcessing();
                api.loadContextInstanceAndSetCurrent();
            } catch (ContextModelAccessException ex) {
                Logger.getLogger(Test.class.getName()).log(Level.SEVERE, null, ex);
            }

            EACMInstance instance = api.getCurrentContextInstance();

            //delete all context instances
            for (ContextElement element : instance.getAllContextElementInstances()) {
                System.out.println(element.getName());
                element.delete();
            }


        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
