/**********************************************************************************************************
 * Copyright 2012, Distributed Systems Research Laboratory, Technical University of Cluj-Napoca, Romania 
 * http://dsrl.coned.utcluj.ro/
 *  
 * Licensed under the EUPL V.1.1 
 * 
 * European Union Public Licence V. 1.1  
 * You may obtain a copy of this license at
 * 
 * http://joinup.ec.europa.eu/software/page/eupl/licence-eupl
 *  
 **********************************************************************************************************/
package ro.utcn.dsrl.utils.exposedFunctionality.rmiAPI;

import java.io.Serializable;
import java.rmi.Remote;
import java.rmi.RemoteException;

import ro.utcn.dsrl.utils.exceptions.ApplicationException;

public interface RMIAPI extends Remote {
    String processCommand(RMICommand command, Serializable... commandArguments) throws RemoteException, ApplicationException;
}
